Subject: [Megaco] RE: Contradiction in signal ID between H.248.24 and Q.1950

From: "Nurit Shenhar" <[email-masked]>
Date: Sun, 8 Feb 2004 12:32:05 +0200

Hi Christian

What about the tonegen/pt signal? I thought up to now that you may
specify a list of tones in the format:

Tonegen/pt{tl={cg, d0, d1, roh}}

And so mix some tones in a single signal. Is it not the case? If this
format is allowed, than I have a problem with the overlapping when using
the ASN.1 format.

Nurit

-----Original Message-----
From: Christian Groves [mailto:[email-masked]] 
Sent: Thursday, February 05, 2004 11:20 PM
To: Nurit Shenhar
Cc: [email-masked]
Subject: Re: Contradiction in signal ID between H.248.24 and Q.1950

Hello Nurit,

These do not need to be unique because when you reference a signal the 
formulation is PackageID/ToneID. The packageID means that the toneid is
unique. 
You cannot use the Original (extended packageID) to reference the tones
in the 
new package. Or have I missed something in your question?

Regards, Christian

Nurit Shenhar wrote:

> Hi Christian
> 
>  
> 
> Can you forward this mail for me to the list? (Or answer it yourself)?

> Somehow my mails don't get to the list. I sent a mail to Tom Taylor,
but 
> got no response.
> 
>  
> 
>  
> 
> The tone IDs in the MF generation package H.248.24 are defined as
0x0050 
> and up. In the Q.1950 package Basic Service Tones Generation ('srvtn')

> and the following packages, the signals start from 0x004f. That
results 
> in non-unique numbers. As both packages inherit from the basic tones 
> generation package 'tonegen', I think they should be unique.
> 
>  
> 
> Thanks,
> 
>  
> 
>  
> 
> Nurit Shenhar
> 
> H.248/MEGACO Architect
> 
>  
> 
> E-Mail: [email-masked]
> 
> Fax.    +972-3-5394223
> 
> www.audiocodes.com <http://www.audiocodes.com/>
> 
>  
> 

This communication is confidential and intended solely for the
addressee(s). Any unauthorized review, use, disclosure or distribution
is prohibited. If you believe this message has been sent to you in
error, please notify the sender by replying to this transmission and
delete the message without disclosing it. Thank you.

E-mail including attachments is susceptible to data corruption,
interruption, unauthorized amendment, tampering and viruses, and we only
send and receive e-mails on the basis that we are not liable for any
such corruption, interception, amendment, tampering or viruses or any
consequences thereof.

_______________________________________________
Megaco mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/megaco